Package Details: opensmtpd-table-passwd 6.4.0-1

Git Clone URL: https://aur.archlinux.org/opensmtpd-table-passwd.git (read-only)
Package Base: opensmtpd-table-passwd
Description: table-passwd for using a passwd file with OpenSMTPd
Upstream URL: https://opensmtpd.org
Licenses: BSD
Conflicts: opensmtpd-extras
Submitter: parchd
Maintainer: None
Last Packager: ArchangeGabriel
Votes: 1
Popularity: 0.001690
First Submitted: 2016-09-22 08:09
Last Updated: 2018-11-07 21:35

Latest Comments

1 2 Next › Last »

ArchangeGabriel commented on 2019-01-30 16:40

I’m disowning this package since I no longer use it after discovering that Dovecot supports having just username:password in the passwd table, which OpenSMTPD supports with the standard file: driver, rendering table-passwd useless.

ArchangeGabriel commented on 2018-11-07 21:35

Updated package but did not add an epoch, so you have to manually force the update.

ArchangeGabriel commented on 2018-05-04 15:08

Though now I got hit by https://bugs.archlinux.org/task/58127.

ArchangeGabriel commented on 2018-05-03 13:06

You are right, apparently only filters are unsupported, other extras should still work. And as the matter of fact they do. I wanted to reproduce the issue to discuss it with the OpenSMTPD dev, but after updating to the latest extra version (201703132115), I had no issue in fact. So you should just update this package I think.

parchd commented on 2018-04-11 08:12

Just noticed https://bugs.archlinux.org/task/58127 and by association https://github.com/OpenSMTPD/OpenSMTPD/issues/833 - so hopefully a fix will be along shortly! At that point, I'll retry the latest snapshot to see if this PKGBUILD should be updated.

parchd commented on 2018-04-10 16:30

Thanks ArchangeGabriel

I was under the impression it was only the filters that were considered experimental and wholly unsupported, but as being as there is no longer a link to -extras on the opensmtpd website I guess it really is the whole lot.

I've tried all available versions, but as expected none work. I haven't got time to try and patch anything right now.

Addendum: Also tried the latest commit on github with no success.

ArchangeGabriel commented on 2018-04-10 09:45

I’ve restored your comment, you can unpin it if you want.

Regarding -extras, they are currently unsupported upstream, that’s all there is to it. We have to figure out if some newer extras version works or not. I’ll try them, but I don’t have time for this currently.

parchd commented on 2018-04-10 09:43

This does NOT work with the current version of OpenSMTPd. If you rely on table-passwd (or any other part of opensmtpd-extras) I suggest you do not upgrade smtpd at this time.

The latest stable release of opensmtpd-extras was a very long time ago, and the latest snapshot was also over a year ago. I'm not sure what the current official position is on extras, but am making enquiries. I suspect work is going on behind the scenes, alongside work on the filters system.

parchd commented on 2018-04-10 07:35

Sorry everyone, I was a bit behind on updates and only just hit this problem. Also need to update my email address here - didn't realise I still have it set to the now dead archlinux.info service. I'm on the case.

eimis commented on 2018-04-08 19:06

there's 201703132115 version that has the new api, but it segfaults for me on smtp login